[repositories] devel: [groups] [packages] [maintainers] [changelog]

 libsane-backends: SANE provides standardized access to any raster image scanner hardware (source)

Name:libsane-backends
Release:1.0.27-3mamba
Group:System/Kernel and Hardware
Maintainer:silvan
Description:SANE stands for "Scanner Access Now Easy" and is an application programming interface (API) that provides standardized access to any raster image scanner hardware (flatbed scanner, hand-held scanner, video- and still-cameras, frame-grabbers, etc.).
The SANE API is public domain and its discussion and development is open to everybody.
The current source code is written for UNIX (including GNU/Linux) and is available under the GNU General Public License (the SANE API is available to proprietary applications and backends as well, however).
SANE is a universal scanner interface.
The value of such a universal interface is that it allows writing just one driver per image acquisition device rather than one driver for each device and application.
So, if you have three applications and four devices, traditionally you'd have had to write 12 different programs.
With SANE, this number is reduced to seven: the three applications plus the four drivers.
Of course, the savings get even bigger as more and more drivers and/or applications are added.
This is the libraries package.
License:GPL
Size:4.80 MB
Download:libsane-backends-1.0.27-3mamba.src.rpm
URL:http://www.sane-project.org
Specfile:libsane-backends.spec
Sources:backends-1.0.27.tar.bz2 sane-libusbscanner saned.socket saned@.service
Patches:e3_driver_0.6.diff libsane-backends-1.0.23-disable_resmgr.patch libsane-backends-1.0.22-deconflict_v4l_headers.patch sane-backends-1.0.23-use_lp_group.patch 
Build time:Thu Oct 11 2018
Built RPMS:libsane-backends(i586) libsane-backends-devel(i586) sane(i586) libsane-backends(arm) libsane-backends-devel(arm) sane(arm) libsane-backends(x86_64) libsane-backends-devel(x86_64) sane(x86_64)
Build requirements:glibc-devel libavahi-devel libcap-devel libdbus-devel libexif-devel libgcrypt-devel libgpg-error-devel libgphoto2-devel [>=1:2.5.19-1mamba] libieee1284-devel libjbig-devel libjpeg-devel libltdl-devel liblzma-devel libnetsnmp-devel libnl-devel libopenssl-devel libpcre-devel libpng-devel libselinux-devel libsepol-devel libssp-devel libsystemd-devel libtiff-devel libudev-devel libusb-devel libv4l-devel libz-devel pkgconfig[>=0.15.0]
Changelog:Tue Oct 09 2018 - silvan (1.0.27-3mamba)
- rebuilt by autoport with build requirements: libgphoto2-devel>=2.5.19-1mamba
Sat Aug 04 2018 - silvan (1.0.27-2mamba)
- libsane-backends: require sane
Wed Aug 01 2018 - silvan (1.0.27-1mamba)
- update to 1.0.27
Thu Mar 29 2018 - silvan (1.0.25-5mamba)
- fix typo in saned@.service
Sat Nov 25 2017 - silvan (1.0.25-4mamba)
- add saned used to lp group for backends to work; own and set permissions to /var/lib/sane

[repositories] devel: [groups] [packages] [maintainers] [changelog]

Automatically generated by distromatic.